##%######################################################%##
#                                                          #
####               Supplemental Figure 5                ####
#                                                          #
##%######################################################%##

load("./www/JPred_Results/Results_D_revised_OL_90perc.RData")
r.100 <- results.g
r.100 <- unlist(lapply(r.100, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

load("./www/JPred_Results/JPred_results.RData")
r.JPred<- JPred_results
r.JPred <- unlist(lapply(r.JPred, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))



df.r100 <- data.frame(RefCorVal = r.100, Label = "RefDB")
df.jPred <- data.frame(RefCorVal = r.JPred, Label = "JPred")


df <- rbind(df.r100, df.jPred)

library(ggpubr)
P <- ggviolin(df, x = "Label", y = "RefCorVal", fill = "gray", add = "boxplot", draw_quantiles = c(0.05, 0.95),  add.params = list(fill = "white")) +
        # stat_compare_means(comparisons = my_comparisons, label = "p.signif")+ # Add significance levels
        #stat_compare_means(label.y = 1.2) +                                      # Add global the p-value 
        geom_hline(aes(yintercept = 0), colour = "red", linetype = "dashed") +
        geom_hline(aes(yintercept = 1), colour = "blue", linetype = "dashed")
P
ggsave("./www/JPred_Results/S_Figure_5.png", width = 4, height = 3)