##%######################################################%##
#                                                          #
####               Supplemental Table 5                 ####
#                                                          #
##%######################################################%##


load("./www/JPred_Results/Results_D_revised_OL_90perc.RData")
r.100 <- results.g
r.100 <- unlist(lapply(r.100, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

load("./www/JPred_Results/JPred_results.RData")
r.JPred<- JPred_results
r.JPred <- unlist(lapply(r.JPred, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))



df.r100 <- data.frame(RefCorVal = r.100, Label = "RefDB")
df.jPred <- data.frame(RefCorVal = r.JPred, Label = "JPred")


RefDB <- quantile(df.r100$RefCorVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm=T)
JPred <- quantile(df.jPred$RefCorVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm=T)

S_Table5 <- rbind(RefDB, JPred)

print(S_Table5)

write.csv(file = "./www/JPred_Results/S_Table_5.csv", S_Table5)