##%######################################################%##
#                                                          #
####                Supplemental Figure 7               ####
#                                                          #
##%######################################################%##

load("./www/Residual_vs_Reference/Resitual.vs.Reference.RData")

library(ggpubr)

p <- ggscatter(Resitual.vs.Reference, x = "reference", y = "residual", color = "black", size = 0.5, alpha = 0.2 # Points color, shape and size
) + coord_cartesian(xlim = c(-2,2)) +
        stat_smooth(method = "lm", formula = y ~ x + I(x^2), size = 1) +
        geom_hline(yintercept = 0.05, color = "red", size=1)
p

ggsave(filename = "./www/Residual_vs_Reference/S_Figure_7.png", plot = p)

fa <- lm(formula = residual~ reference + I(reference^2), data = Resitual.vs.Reference)

print(fa)
