##%######################################################%##
#                                                          #
####                     Figure 8                       ####
#                                                          #
##%######################################################%##
load("./www/Robust_Analysis/noGlyNoPrior_50.RData")
r.50 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_55.RData")
r.55 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_60.RData")
r.60 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_65.RData")
r.65 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_70.RData")
r.70 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_75.RData")
r.75 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_80.RData")
r.80 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_85.RData")
r.85 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_90.RData")
r.90 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_95.RData")
r.95 <-  results1  

load("noGlyNoPrior.RData")
r.100 <- results1

r.50 <- unlist(lapply(r.50, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.55 <- unlist(lapply(r.55, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.60 <- unlist(lapply(r.60, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.65 <- unlist(lapply(r.65, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.70 <- unlist(lapply(r.70, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.75 <- unlist(lapply(r.75, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.80 <- unlist(lapply(r.80, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.85 <- unlist(lapply(r.85, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.90 <- unlist(lapply(r.90, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.95 <- unlist(lapply(r.95, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.100 <- unlist(lapply(r.100, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

library(data.table)
robust_df.50 <- data.frame(RefCorrVal = r.50, perc = "50%")
robust_df.55 <- data.frame(RefCorrVal = r.55, perc = "55%")
robust_df.60 <- data.frame(RefCorrVal = r.50, perc = "60%")
robust_df.65 <- data.frame(RefCorrVal = r.65, perc = "65%")
robust_df.70 <- data.frame(RefCorrVal = r.70, perc = "70%")
robust_df.75 <- data.frame(RefCorrVal = r.75, perc = "75%")
robust_df.80 <- data.frame(RefCorrVal = r.80, perc = "80%")
robust_df.85 <- data.frame(RefCorrVal = r.85, perc = "85%")
robust_df.90 <- data.frame(RefCorrVal = r.90, perc = "90%")
robust_df.95 <- data.frame(RefCorrVal = r.95, perc = "95%")
robust_df.100 <- data.frame(RefCorrVal = r.100, perc = "100%")


robust_df <- rbind(robust_df.50, robust_df.55, robust_df.60, robust_df.65, robust_df.70, robust_df.75, robust_df.80, robust_df.85, robust_df.90, robust_df.95, robust_df.100)

library(ggpubr)
P <- ggviolin(robust_df, x = "perc", y = "RefCorrVal", fill = "gray", add = "boxplot", add.params = list(fill = "white"), , draw_quantiles = c(0.05, 0.95)) +
        
        # stat_compare_means(comparisons = my_comparisons, label = "p.signif")+ # Add significance levels
        # stat_compare_means(label.y = 2.2) +   # Add global the p-value 
        coord_cartesian(ylim = c(-1.5, 1.9)) +
        scale_y_continuous(breaks=seq(-5, 5, 0.5))+
        geom_hline(yintercept = 0, col="red", linetype = "dashed") +
        geom_hline(yintercept = -1, col="blue", linetype = "dashed") +
        geom_hline(yintercept = 1, col="blue", linetype = "dashed")
P
ggsave("./www/Robust_Analysis/Figure_8.png", height = 4, width = 8)