##%######################################################%##
#                                                          #
####                     Figure 13                      ####
#                                                          #
##%######################################################%##
load("./www/Robust_Analysis/noGlyNoPrior_50.RData")
r.50 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_55.RData")
r.55 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_60.RData")
r.60 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_65.RData")
r.65 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_70.RData")
r.70 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_75.RData")
r.75 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_80.RData")
r.80 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_85.RData")
r.85 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_90.RData")
r.90 <-  results1
load("./www/Robust_Analysis/noGlyNoPrior_95.RData")
r.95 <-  results1  

load("noGlyNoPrior.RData")
r.100 <- results1

r.50 <- unlist(lapply(r.50, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.55 <- unlist(lapply(r.55, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.60 <- unlist(lapply(r.60, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.65 <- unlist(lapply(r.65, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.70 <- unlist(lapply(r.70, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.75 <- unlist(lapply(r.75, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.80 <- unlist(lapply(r.80, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.85 <- unlist(lapply(r.85, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.90 <- unlist(lapply(r.90, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.95 <- unlist(lapply(r.95, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

r.100 <- unlist(lapply(r.100, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

library(data.table)
robust_df.50 <- data.frame(RefCorrVal = r.50, perc = "50%")
robust_df.55 <- data.frame(RefCorrVal = r.55, perc = "55%")
robust_df.60 <- data.frame(RefCorrVal = r.50, perc = "60%")
robust_df.65 <- data.frame(RefCorrVal = r.65, perc = "65%")
robust_df.70 <- data.frame(RefCorrVal = r.70, perc = "70%")
robust_df.75 <- data.frame(RefCorrVal = r.75, perc = "75%")
robust_df.80 <- data.frame(RefCorrVal = r.80, perc = "80%")
robust_df.85 <- data.frame(RefCorrVal = r.85, perc = "85%")
robust_df.90 <- data.frame(RefCorrVal = r.90, perc = "90%")
robust_df.95 <- data.frame(RefCorrVal = r.95, perc = "95%")
robust_df.100 <- data.frame(RefCorrVal = r.100, perc = "100%")

Results50 <- quantile(robust_df.50$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results55 <- quantile(robust_df.55$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results60 <- quantile(robust_df.60$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results65 <- quantile(robust_df.65$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results70 <- quantile(robust_df.70$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results75 <- quantile(robust_df.75$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results80 <- quantile(robust_df.80$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results85 <- quantile(robust_df.85$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results90 <- quantile(robust_df.90$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results95 <- quantile(robust_df.95$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Results100 <- quantile(robust_df.100$RefCorrVal, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)

table4 <- rbind(Results50, Results55, Results60, Results65, Results70, Results75, Results80, Results85, Results90, Results95, Results100)

print(table4)

write.csv(file = "./www/Robust_Analysis/S_Table_4.csv", table4)