##%######################################################%##
#                                                          #
####                      Table 1                       ####
#                                                          #
##%######################################################%##

load("./www/UnassignedBaMORC/Unassigned_BaMORC_Results.RData")

Results.v <- unlist(lapply(Unassigned_BaMORC_Results.RData, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

Results.names <- unlist(lapply(Unassigned_BaMORC_Results.RData, function(x){
        if(is.null(x[[5]])){
                return(NA)
        }else{return(x[[5]])}
}))

table_1 <- cbind(Results.names, round(Results.v, digits = 3))
colnames(table_1) <- c("Proteins", "Reference Values")

print(table_1)

write.csv(file = "./www/UnassignedBaMORC/Table_1.csv", table_1)
