##%######################################################%##
#                                                          #
####                 Supplemental Table 3               ####
#                                                          #
##%######################################################%##

library(tidyr)

load("./www/All_Ref_Cor_Results/Results_A.RData")
load("./www/All_Ref_Cor_Results/Results_B.RData")
load("./www/All_Ref_Cor_Results/Results_C.RData")
load("./www/All_Ref_Cor_Results/Results_D.RData")
load("./www/All_Ref_Cor_Results/Results_E.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised_OL.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised_OL_90perc.RData")


Method_A = quantile(results.a, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_B = quantile(results.b, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_C = quantile(results.c, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_D = quantile(results.d, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_E = quantile(results.e, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_D.Revised = quantile(results.e.new, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_D_OverlapMatrix = quantile(results.f, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)
Method_D_OverlapMatrix_90 = quantile(results.g, probs = c(0.05, 0.25, 0.5, 0.75, 0.95), na.rm = T)

S_Table_3 <- rbind(Method_A, Method_B, Method_C, Method_D, Method_E, Method_D.Revised, Method_D_OverlapMatrix, Method_D_OverlapMatrix_90)

print(S_Table_3)

write.csv(S_Table_3, file = "./www/All_Ref_Cor_Results/S_Table_3.csv")
