

load("./noGlyNoPrior_allData.RData")
noGlyNoPrior_allData <-results1
load("./GlyNoPrior.RData")
GlyNoPrior <-results1

GlyNoPrior <- unlist(lapply(GlyNoPrior, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

noGlyNoPrior_allData <- unlist(lapply(noGlyNoPrior_allData, function(x){
        if(is.null(x[[4]])){
                return(NA)
        }else{return(x[[4]])}
}))

final.data1<- na.omit(data.frame(label="noGlyNoPrior", RefCorVal=noGlyNoPrior_allData))
final.data2<- na.omit(data.frame(label="GlyNoPrior", RefCorVal=GlyNoPrior))

final.data <-rbind(final.data1, final.data2)

library(ggpubr)
P <- ggviolin(final.data, x = "label", y = "RefCorVal", fill = "gray", add = "boxplot", draw_quantiles = c(0.05, 0.95),  add.params = list(fill = "white")) +
        # stat_compare_means(comparisons = my_comparisons, label = "p.signif")+ # Add significance levels
        #stat_compare_means(label.y = 1.2) +                                      # Add global the p-value 
        geom_hline(aes(yintercept = 0), colour = "red", linetype = "dashed") +
        geom_hline(aes(yintercept = 1), colour = "blue", linetype = "dashed") +
        geom_hline(aes(yintercept = -1), colour = "blue", linetype = "dashed")
P
ggsave("./with_or_without_gly.png", width = 4, height = 3)